Zigbee Module Examples

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions | Variables
module_example_utils.c File Reference

Simple utilities for Module examples. More...

`#include "../HAL/hal.h"`
`#include "../ZM/module.h"`
`#include "../ZM/module_errors.h"`
`#include "../ZM/af.h"`
`#include "../ZM/zdo.h"`
`#include "../ZM/zm_phy.h"`
`#include "../Common/utilities.h"`
`#include "Messages/oids.h"`
`#include "Messages/kvp.h"`
`#include "module_example_utils.h"`
`#include "../HAL/hal_AMS_TCS3414_color_sensor.h"`
`#include "../HAL/hal_TI_TMP006_IR_temperature_sensor.h"`
`#include <math.h>`

## Functions
void | pollAndDisplay ()
void | initializeSensors ()
int8_t | getSensorValues (struct kvp *kvps)
void | testSensors ()

## Variables
uint8_t | zmBuf [ZIGBEE_MODULE_BUFFER_SIZE]

## Detailed Description

Simple utilities for Module examples.

Rev:
  1642

Author:
  dsmith

Date:
  2012-10-31 11:17:04 -0700 (Wed, 31 Oct 2012)

# Support

Please refer to the wiki at www.anaren.com/air-wiki-zigbee for more information. Additional support is available via email at the following addresses:

- Questions on how to use the product: AIR@a.nosp@m.nare.nosp@m.n.com
- Feature requests, comments, and improvements: featu.nosp@m.rere.nosp@m.quest.nosp@m.s@te.nosp@m.slaco.nosp@m.ntro.nosp@m.ls.co.nosp@m.m
- Consulting engagements: sales.nosp@m.@tes.nosp@m.lacon.nosp@m.trol.nosp@m.s.com

# License

Copyright (c) 2012 Tesla Controls. All rights reserved. This Software may only be used with an Anaren A2530E24AZ1, A2530E24CZ1, A2530R24AZ1, or A2530R24CZ1 module. Redistribution and use in source and binary forms, with or without modification, are subject to the Software License Agreement in the file "anaren_eula.txt"

YOU FURTHER ACKNOWLEDGE AND AGREE THAT THE SOFTWARE AND DOCUMENTATION ARE PROVIDED “AS IS” WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF MERCHANTABILITY, TITLE, NON-INFRINGEMENT AND FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT SHALL ANAREN MICROWAVE OR TESLA CONTROLS BE LIABLE OR OBLIGATED UNDER CONTRACT, NEGLIGENCE, STRICT LIABILITY, CONTRIBUTION, BREACH OF WARRANTY, OR OTHER LEGAL EQUITABLE THEORY ANY DIRECT OR INDIRECT DAMAGES OR EXPENSE INCLUDING BUT NOT LIMITED TO ANY INCIDENTAL, SPECIAL, INDIRECT, PUNITIVE OR CONSEQUENTIAL DAMAGES, LOST PROFITS OR LOST DATA, COST OF PROCUREMENT OF SUBSTITUTE GOODS, TECHNOLOGY, SERVICES, OR ANY CLAIMS BY THIRD PARTIES (INCLUDING BUT NOT LIMITED TO ANY DEFENSE THEREOF), OR OTHER SIMILAR COSTS.

## Function Documentation

int8_t getSensorValues | ( | struct kvp * | kvps | ) |

    Retrieves all the sensor values for this device. This is device dependent.

Parameters:

  kvps | an array of kvps. This will be filled in by this method, starting at index 0.

Precondition:
  kvps is large enough to hold all the sensors on this device.

Returns:
  the number of sensors

void initializeSensors | ( |  | ) |

Initializes any sensors used in the application. Device dependent, since different platforms have different sensors.

void pollAndDisplay | ( |  | ) |

    Poll the Module for any messages and display them to the console.

Used in Simple API coordinator, AFZDO coordinator, secure comms examples, etc.

Precondition:
  moduleHasMessageWaiting() returned true.

void testSensors | ( |  | ) |

Reads all sensors and displays them

## Variable Documentation

uint8_t zmBuf[ZIGBEE_MODULE_BUFFER_SIZE]

    This buffer will hold the transmitted messages and received SRSP Payload after sendMessage() was

called. If fragmentation support is not required then this can be smaller, e.g. 100B.